org.keycloak.authorization.mongo.entities

## Class ResourceServerEntity

- java.lang.Object
- - org.keycloak.models.entities.AbstractIdentifiableEntity
  - - org.keycloak.authorization.mongo.entities.ResourceServerEntity

- All Implemented Interfaces:
    MongoEntity, MongoIdentifiableEntity

      @MongoCollection(collectionName="resource-servers")
      public class ResourceServerEntity
      extends AbstractIdentifiableEntity
      implements MongoIdentifiableEntity

  Author:
    Pedro Igor

- - ### Field Summary

    - ### Fields inherited from class org.keycloak.models.entities.AbstractIdentifiableEntity

      `id`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ResourceServerEntity()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `afterRemove(MongoStoreInvocationContext invocationContext)` Lifecycle callback, which is called after removal of this object from Mongo.
    `String` | `getClientId()`
    `PolicyEnforcementMode` | `getPolicyEnforcementMode()`
    `boolean` | `isAllowRemoteResourceManagement()`
    `void` | `setAllowRemoteResourceManagement(boolean allowRemoteResourceManagement)`
    `void` | `setClientId(String clientId)`
    `void` | `setPolicyEnforcementMode(PolicyEnforcementMode policyEnforcementMode)`

    - ### Methods inherited from class org.keycloak.models.entities.AbstractIdentifiableEntity

      `equals, getId, hashCode, setId, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.keycloak.connections.mongo.api.MongoIdentifiableEntity

      `getId, setId`

- - ### Constructor Detail

    - #### ResourceServerEntity

          public ResourceServerEntity()

  - ### Method Detail

    - #### getClientId

          public String getClientId()

    - #### setClientId

          public void setClientId(String clientId)

    - #### isAllowRemoteResourceManagement

          public boolean isAllowRemoteResourceManagement()

    - #### setAllowRemoteResourceManagement

          public void setAllowRemoteResourceManagement(boolean allowRemoteResourceManagement)

    - #### getPolicyEnforcementMode

          public PolicyEnforcementMode getPolicyEnforcementMode()

    - #### setPolicyEnforcementMode

          public void setPolicyEnforcementMode(PolicyEnforcementMode policyEnforcementMode)

    - #### afterRemove

          public void afterRemove(MongoStoreInvocationContext invocationContext)

      Description copied from interface: `MongoIdentifiableEntity`
      Lifecycle callback, which is called after removal of this object from Mongo. It may be useful for triggering removal of wired objects.
      Specified by:
        `afterRemove` in interface `MongoIdentifiableEntity`

Copyright © 2016 JBoss by Red Hat. All rights reserved.